LIMACTL(1)

NAME

limactl-completion-bash - Generate the autocompletion script for bash

SYNOPSIS

limactl completion bash

DESCRIPTION

Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package. If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:
    source <(limactl completion bash)

To load completions for every new session, execute once:

  Linux:
    limactl completion bash > /etc/bash_completion.d/limactl

  macOS:
    limactl completion bash > $(brew --prefix)/etc/bash_completion.d/limactl

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for bash

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    debug mode

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

SEE ALSO

limactl-completion(1)